Skip to main content
GET
/
stores
/
{storeId}
/
coupons
/
{couponId}
Get a coupon
curl --request GET \
  --url https://api.pandabase.io/v2/core/stores/{storeId}/coupons/{couponId} \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "id": "<string>",
    "code": "<string>",
    "displayName": "<string>",
    "description": "<string>",
    "type": "FIXED",
    "value": 123,
    "minimumPurchase": 123,
    "maxUses": 123,
    "maxUsesPerCustomer": 123,
    "firstPurchaseOnly": true,
    "startsAt": "2023-11-07T05:31:56Z",
    "expiresAt": "2023-11-07T05:31:56Z",
    "enabled": true,
    "timesUsed": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Store API token. Use the sk_ prefixed secret key as the Bearer token.

Path Parameters

storeId
string
required

Store ID (shp_ prefix)

Required string length: 12 - 48
couponId
string
required

Coupon ID (cpn_ prefix)

Required string length: 12 - 48

Response

Coupon details

ok
boolean
required
data
object
required